# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "binance"
version = "0.11.2"
authors = ["Flavio Oliveira <flavio@wisespace.io>"]
description = "Rust Library for the Binance API"
documentation = "https://docs.rs/crate/binance/"
readme = "README.md"
keywords = ["cryptocurrency", "trading", "binance"]
categories = ["api-bindings", "cryptography::cryptocurrencies"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/wisespace-io/binance-rs"

[lib]
name = "binance"
path = "src/lib.rs"
[dependencies.error-chain]
version = "0.12.4"
default-features = false

[dependencies.hex]
version = "0.4"

[dependencies.hmac]
version = "0.10.1"

[dependencies.reqwest]
version = "0.10.9"
features = ["blocking", "json"]

[dependencies.serde]
version = "1.0.118"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sha2]
version = "0.9"

[dependencies.tungstenite]
version = "0.11.1"

[dependencies.url]
version = "2.2.0"
[dev-dependencies.csv]
version = "1.1.5"

[features]
vendored-tls = ["reqwest/native-tls-vendored", "tungstenite/tls-vendored"]
[badges.travis-ci]
repository = "wisespace-io/binance-rs"
